none
wp7.1安装问题 RRS feed

  • 问题

  • 安装wp7.1一定要安装Microsoft Visual Studio 2010 Ultimate码?

    我安装后出现了Microsoft Visual studio 2010 expression for windows phone 7.1 的文件夹,里面也包含了三四十个文件,但在开始菜单里怎么不出现开发环境图标呢~从控制面板里看安装的程序,有显示

    windows phone develor tools-ENU,

    windows phone emulator-ENU,

    Windows phone sdk 7.1-ENU,

    windows  phone sdk 7.1 Add-in for visual studio 2010-ENU,

    在Microsoft Visual studio 2010 expression for windows phone 7.1这个文件夹下,有文件显示了很多错误:

    [10/09/11,14:43:25] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:43:25] VS Scenario: [2] Microsoft Visual Studio 2010 Ultimate
    [10/09/11,14:43:25] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [10/09/11,14:43:25] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:43:25] VS Scenario: [2] Microsoft Windows Phone Developer Tools - ENU
    [10/09/11,14:43:45] VS Scenario: [2] Failed to pass the Warnings/Blocks checks in CVSScenario::Start()
    [10/09/11,14:55:09] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [10/09/11,14:55:09] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:55:09] VS Scenario: [2] Microsoft Visual Studio 2010 Ultimate
    [10/09/11,14:55:09] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [10/09/11,14:55:09] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:55:09] VS Scenario: [2] Microsoft Windows Phone Developer Tools - ENU

    [10/10/11,15:33:39] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Error code -2147023590 for this component means "表明两个修订级别是不兼容的。
    "
    [10/10/11,15:33:39] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Component Microsoft Expression Blend 4 for Windows Phone 7.1 returned an unexpected value.
    [10/10/11,15:33:39] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Return from system messaging: 表明两个修订级别是不兼容的。

    等等~~~

    安装的7.1是嵌入到原有的vs2010吗?对vs2010有什么要求吗?完整的安装完还应该有哪些文件啊,怎么解决呢~~

    2011年10月10日 13:04

答案

全部回复

  • 已解决~
    • 已标记为答案 bianchunlei 2011年10月16日 3:12
    2011年10月16日 3:12
  • 安装wp7.1一定要安装Microsoft Visual Studio 2010 Ultimate码?

    我安装后出现了Microsoft Visual studio 2010 expression for windows phone 7.1 的文件夹,里面也包含了三四十个文件,但在开始菜单里怎么不出现开发环境图标呢~从控制面板里看安装的程序,有显示

    windows phone develor tools-ENU,

    windows phone emulator-ENU,

    Windows phone sdk 7.1-ENU,

    windows  phone sdk 7.1 Add-in for visual studio 2010-ENU,

    在Microsoft Visual studio 2010 expression for windows phone 7.1这个文件夹下,有文件显示了很多错误:

    [10/09/11,14:43:25] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:43:25] VS Scenario: [2] Microsoft Visual Studio 2010 Ultimate
    [10/09/11,14:43:25] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [10/09/11,14:43:25] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:43:25] VS Scenario: [2] Microsoft Windows Phone Developer Tools - ENU
    [10/09/11,14:43:45] VS Scenario: [2] Failed to pass the Warnings/Blocks checks in CVSScenario::Start()
    [10/09/11,14:55:09] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [10/09/11,14:55:09] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:55:09] VS Scenario: [2] Microsoft Visual Studio 2010 Ultimate
    [10/09/11,14:55:09] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [10/09/11,14:55:09] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [10/09/11,14:55:09] VS Scenario: [2] Microsoft Windows Phone Developer Tools - ENU

    [10/10/11,15:33:39] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Error code -2147023590 for this component means "表明两个修订级别是不兼容的。
    "
    [10/10/11,15:33:39] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Component Microsoft Expression Blend 4 for Windows Phone 7.1 returned an unexpected value.
    [10/10/11,15:33:39] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Return from system messaging: 表明两个修订级别是不兼容的。

    等等~~~

    安装的7.1是嵌入到原有的vs2010吗?对vs2010有什么要求吗?完整的安装完还应该有哪些文件啊,怎么解决呢~~

    怎么解决的?我安装不成功
    2011年11月30日 3:44
  • 同样的问题吗?我记不太清了,我当时反复装了好几次

    2011年11月30日 5:18
  • 在控制面板的“程序和功能”中,把Blend相关的组件都删除就好了。

    现在我安装的是中文版的,也遇到这样的问题:

    [09/22/12,14:54:20] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [09/22/12,14:54:21] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [09/22/12,14:54:21] VS Scenario: [2] Microsoft Visual Studio
    [09/22/12,14:54:22] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [09/22/12,14:54:22] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [09/22/12,14:54:22] VS Scenario: [2] Microsoft Expression Blend 4 and all Expression Blend SDKs
    [09/22/12,14:54:38] VS Scenario: [2] Failed to pass the Warnings/Blocks checks in CVSScenario::Start()
    [09/22/12,16:01:28] VS Scenario: [2] Error: CVSScenario::ExecuteEachBlocker returned false
    [09/22/12,16:01:28] VS Scenario: [2] Error:There is a blocking condition met, the installer is blocking because of Section :
    [09/22/12,16:01:29] VS Scenario: [2] Microsoft Expression Blend 4 and all Expression Blend SDKs
    [09/22/12,16:01:36] VS Scenario: [2] Failed to pass the Warnings/Blocks checks in CVSScenario::Start()
    [09/22/12,20:09:03] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Error code -2147023590 for this component means "表明两个修订级别是不兼容的。
    "
    [09/22/12,20:09:03] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Component Microsoft Expression Blend 4 for Windows Phone 7.1 returned an unexpected value.
    [09/22/12,20:09:04] Microsoft Expression Blend 4 for Windows Phone 7.1: [2] Return from system messaging: 表明两个修订级别是不兼容的。

    2012年9月22日 12:49